 
 
 
# Colors ---------------------------------------------------------------
StdForeColor            #000000
StdBackColor            #959dbe
 
StickyForeColor         #000000
StickyBackColor         #9e9e9e
 
HiForeColor             #000000
HiBackColor             #b2bad6
 
MenuBackColor           #95a5be
MenuForeColor           #000000
MenuStippleColor        #555555
 
PagerForeColor          #ffffff
PagerBackColor          #8895bf
 
# Fonts ----------------------------------------------------------------
Font            -adobe-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
WindowFont      -adobe-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
PagerFont       -adobe-helvetica-bold-o-*-*-8-*-*-*-*-*-*-*
IconFont        -adobe-helvetica-medium-r-normal-*-14-*-*-*-*-*-*-*
 
# Desktop --------------------------------------------------------------
DeskTopSize     3x1
DeskTopScale    16
EdgeScroll      0 0
 
# Pager ----------------------------------------------------------------
Pager 0 -1
NoTitle	Fvwm Pager
 
# Windows --------------------------------------------------------------
#BoundaryWidth  6 (ovo je default)
NoBoundaryWidth	6
 
#OpaqueMove 100%
#OpaqueResize
 
SmartPlacement
RandomPlacement
StubbornPlacement
 
# NoTitle Windows ------------------------------------------------------
NoTitle xclock
NoTitle xbiff
 
# NoBorder Windows -----------------------------------------------------
#NoBorder oclock
 
# Sticky Windows -------------------------------------------------------
Sticky xclock
Sticky Fvwm Pager
 
# Icons ----------------------------------------------------------------
IconBox 128 0 800 600
IconPath /usr/include/X11/sgibwicons/:/usr/include/X11/bitmaps/:/usr/include/bitmaps/
PixmapPath /usr/include/X11/sgiicons/:/usr/include/X11/pixmaps/:/usr/include/pixmaps/
 
Icon "Fvwm Pager"       Overview.icon
Icon "/*"               Fm.icon
Icon "rxvt"             XWsh.icon
Icon "xterm"            XWsh.icon
Icon "xclock"           clock.icon
Icon ""                 default.icon
 
# MWM ------------------------------------------------------------------
#MWMBorders lepshi su obicni
MWMButtons
MWMMenus
MWMDecorHints
MWMFunctionHints
 
# Mouse ----------------------------------------------------------------
ClickTime 75
 
# Unknown --------------------------------------------------------------
ButtonStyle 1 50x22
ButtonStyle 2 50x50
ButtonStyle 4 22x22
 
# Init Function --------------------------------------------------------
Function "InitFunction"
#       Exec    "I"     xv -root -quit /var/X11R6/lib/fvwm/swirlsmall.gif &
        Exec    "I"     xsetroot -bitmap /usr/include/X11/bitmaps/escherknot -bg rgb:10/5e/ff -fg rgb:00/75/ff  &
        Exec    "I"     xclock -geometry 100x100-0+0 -hl rgb:ea/ea/ea -fg rgb:d6/d6/d6 -hd rgb:70/70/70 -bg rgb:3d/3d/3d &
        Wait    "I"     xclock
        Exec    "I"     xterm -C -iconic -geometry 80x24+128+72 -cr rgb:00/d6/00 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -name $HOST" Console" &
        Exec    "I"     /usr/bin/X11/xsetroot -cursor_name X_cursor -fg red -bg white &
EndFunction
 
# Modules --------------------------------------------------------------
ModulePath /usr/X11/bin:/usr/local/bin:/usr/lib/X11/fvwm
 
# FileMgr --------------------------------------------------------------
*FvwmFileMgrFore        #000000
*FvwmFileMgrBack        #9dbebe
#*FvwmFileMgrFont
 
# GoodStuff ------------------------------------------------------------
Style   "GoodStuff"     BorderWidth 0, NoHandles, Sticky, NoButton 1, NoButton 2, NoButton 4
Style   "Toolchest"     BorderWidth 0, NoHandles, Sticky, NoButton 1
Module GoodStuff
 
*GoodStuffGeometry      103x157+0+0
*GoodStuffFont          -adobe-helvetica-bold-o-normal-*-14-*-*-*-*-*-*-*
*GoodStuffColumns       1 
*GoodStuffFore          #000000
*GoodStuffBack          #95a5be
 
#               Button          Icon            Command
*GoodStuff      Desktop         toolbox.xpm     PopUp   "Desktop"       Desktop
*GoodStuff      Selected        toolbox.xpm     PopUp   "Selected"      Selected
*GoodStuff      Find            toolbox.xpm     PopUp   "Find"          Find
*GoodStuff      System          toolbox.xpm     PopUp   "System"        System
*GoodStuff      eXTRa           toolbox.xpm     PopUp   "eXTRa"         eXTRa
*GoodStuff      Help            toolbox.xpm     PopUp   "Help"          Help
 
PopUp "Help"
        Exec    "Desktop Help"  exec xterm -e man fvwm &
        Nop     "On-line Books (?)"
        Nop     ""
        Exec    "Man Pages"     exec xman -bothshown -notopbox &
        Nop     "Release Notes (ja)"
        Nop     ""
        Nop     "Legal Notice (?)"
EndPopUp
 
PopUp "Games"
        Exec    "GnuChess"      exec xboard &
        Exec    "Lander"        exec xlander &
        Exec    "Xvier"         exec xvier &
        Exec    "Solitaire"     exec spider &
EndPopUp
 
PopUp "Demos"
        Exec    "X-Eyes"        exec xeyes &
        Exec    "X-Roaches"     exec xroach &
        Exec    "Ideal Gases"   exec xgas &
EndPopUp
 
PopUp "Applications"
        Exec    "Spreadsheet"           exec xspread &
        Exec    "PostScript Previewer"  exec ghostview &
        Exec    "Seyon"                 exec seyon -modems /dev/cua1 &
EndPopUp
 
PopUp "Xdemos"
        Exec    "xeyes"         exec xeyes &
        Exec    "ico"           exec ico &
        Exec    "xgc"           exec xgc &
        Exec    "x11perf"       exec rxvt -geometry 80x24 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n "x11perf -all" -T "x11perf -all" -e x11perf -all &
EndPopUp
 
PopUp "Image"
        Exec    "xwd"   exec xwd -frame -out xwd.out &
        Exec    "xwud"  exec xwud -in xwd.out &
        Exec    "xpr"   exec xpr xwd.out &
        Exec    "xmag"  exec xmag &
EndPopUp
 
PopUp "Fonts"
        Nop     " "
EndPopUp
 
PopUp "Clocks"
        Exec    "Analog Clock"  exec xclock -analog &
        Exec    "Digital Clock" exec xclock -digital &
        Exec    "Round Clock"   exec oclock &
EndPopUp
 
PopUp "Preference"
        Nop     " "
EndPopUp
 
PopUp "Access"
        Nop     " "
EndPopUp
 
PopUp "Mail"
        Exec    "xbiff" exec xbiff -geometry 48x48-80+0 -file /var/spool/mail/$USER -fg rgb:ff/ff/ff -bg rgb:00/00/00 &
        Exec    "xmh"   exec xmh &
EndPopUp
 
PopUp "X11"
        Exec    "xterm"         exec xterm &
        Exec    "xconsole"      exec xconsole &
        PopUp   "Mail"          Mail
        Exec    "xman"          exec xman &
        Exec    "bitmap"        exec bitmap &
        Exec    "editres"       exec editres &
        Exec    "xditview"      exec xditview  &
        PopUp   "Access"        Access
        PopUp   "Preference"    Preference
        Exec    "xload"         exec xload &
        PopUp   "Clocks"        Clocks
        PopUp   "Fonts"         Fonts
        Exec    "xwininfo"      exec xwininfo &
        Exec    "xlsclients"    exec xterm -e xlsclients &
        Exec    "xdpyinfo"      exec xterm -e xdpyinfo &
        Exec    "xprop"         exec xterm -e xprop &
        Exec    "xev"           exec xterm -e xev &
        PopUp   "Image"         Image
        PopUp   "Xdemos"        Xdemos
EndPopUp
 
PopUp "MediaTools"
        Exec    "xv"    exec xv &
EndPopUp
  
PopUp "DesktopTools"
        PopUp   "Clocks"        Clocks
        Exec    "Calculator"    exec xcalc &
        Exec    "Clipboard"     exec xclipboard &
EndPopUp
 
PopUp "eXTRa"
        PopUp   "Desktop Tools" DesktopTools
        PopUp   "Media Tools"   MediaTools
        PopUp   "X11 Software"  X11
        PopUp   "Applications"  Applications
        PopUp   "Demos"         Demos
        PopUp   "Games"         Games
EndPopUp
 
PopUp "System"
        Nop     "System Manager (?)"
        Nop     "User Manager (?)"
        Nop     "User Manager (?)"
        Nop     "NFS Mount Manager (?)"
        Nop     "Printer Manger (?)"
        Nop     "Software Manager (?)"
        Nop     ""
        Nop     "Backup & Restore (?)"
        Nop     "View System Log (?)"
        Nop     "Run Confidence Tests (?)"
        Nop     ""
        Nop     "Start New Console (?)"
        Nop     "Restart Window Manager (?)"
        Nop     ""
        Nop     "System Shutdown (?)"
        Nop     "Restart System (?)"
EndPopUp
 
PopUp "Find"
        Nop     "An Icon (?)"
        Nop     "Icon Catalog (?)"
        Nop     "Graphics Demos (?)"
        Nop     ""
        Nop     "Files (?)"
        Nop     ""
        Nop     "Printers (?)"
        Nop     "Hosts (?)"
        Nop     "Disk Drives (?)"
        Nop     "Tape Drives (?)"
        Nop     ""
        Nop     "People (?)"
EndPopUp
 
PopUp "Selected"
        Nop     "???"
EndPopUp
 
PopUp "Customize"
        Nop     "Windows (?)"
        Nop     "Desktop (?)"
        Nop     "Background (?)"
        Nop     "Screen Saver (?)"
        Nop     "System Errors (?)"
        Nop     ""
        Nop     "Mouse (?)"
        Nop     "Keyboard (?)"
        Nop     "Language (?)"
EndPopUp
 
PopUp "Background"
        Exec    "MIT Logo"      exec xsetroot -bg White -fg LightSkyBlue -bitmap /usr/include/X11/bitmaps/mensetmanus &
        Exec    "X Logo"        exec xsetroot -bg White -fg Black -bitmap /usr/include/X11/bitmaps/xlogo64 &
        Exec    "Escher Knots"  exec xsetroot -bg LightSkyBlue -fg Black -bitmap /usr/include/X11/bitmaps/escherknot &
        Exec    "Woman"         exec xsetroot -bg White -fg Black -bitmap /usr/include/X11/bitmaps/woman &
EndPopUp
 
PopUp "NoDesktop"
        PopUp           "Set Background (?)"    BackGround
        Nop             "Set Screen Saver (?)"
        Nop             ""
        CirculateUp     "Shuffle Up"
        CirculateDown   "Shuffle Down"
        Nop             "Tidy Icons (?)"
        Nop             ""
        Nop             "Restore All (?)"
        Nop             "Minimize All (?)"
        Refresh         "Refresh All"
        Nop             ""
        Nop             "Start 4Dwm (?)"
        Nop             "Restart 4Dwm (?)"
        Nop             "Quit 4Dwm (?)"
EndPopUp
 
PopUp   "Endsession"
        Title   "Do you want to log out now?"
        Quit    "Yes"
EndPopUp
 
PopUp "Desktop"
        Nop     "Desk Overview (?)"
        Nop     ""
#       Exec    "Home Directory"        exec xfilemanager -trashcan .dumpster &
        Module  "Home Directory"        FvwmFileMgr
        Nop     "Remote Directory (?)"
        PopUp   "Customize"             Customize
        Nop     "Audio Control (?)"
        Exec    "Empty Dumpster"        exec emptydumpster &
        Nop     ""
        Exec    "Unix Shell 80x24"      rxvt -geometry 80x24 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n $HOST" Shell" -T $HOST" Shell" &
        Exec    "Unix Shell 80x25"      rxvt -geometry 80x25 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n $HOST" Shell" -T $HOST" Shell" &
        Exec    "Unix Shell 80x32"      rxvt -geometry 80x32 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n $HOST" Shell" -T $HOST" Shell" &
        Exec    "Unix Shell 80x40"      rxvt -geometry 80x40 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n $HOST" Shell" -T $HOST" Shell" &
        Exec    "Unix Shell 80x60"      rxvt -geometry 80x60 -fg rgb:d6/d6/d6 -bg rgb:00/00/3f -sl 1000 -n $HOST" Shell" -T $HOST" Shell" &
        Nop     ""
        PopUp   "Log Out"               EndSession
        Nop     ""
        PopUp   "NoDesktop"             NoDesktop
EndPopUp
 
# Menus ----------------------------------------------------------------
 
Popup "4DwmWindowMenu"
# restore function is not correct
        Raise           " &Restore      Alt+F5"
        Move            " &Move Alt+F7"
        Resize          " Re&size       Alt+F8"
        Iconify         " Mi&nimize     Alt+F9"
        Maximize        " Ma&ximize     Alt+F10 "
        Raise           " R&aise        Alt+F1"
        Lower           " &Lower        Alt+F3"
        Nop             ""
        Close           " &Close"
        Delete          " &Quit"
EndPopup
        
Function "MaximizeIconified"
        Maximize        "Immediate"
        Iconify         "Immediate"
EndFunction
 
Popup "4DwmWindowMenuForIcon"
        Iconify         " &Restore      Alt+F5"
        Move            " &Move Alt+F7"
        Resize          " Re&size       Alt+F8"
# look  this
        Resize          " Mi&nimize     Alt+F9"
        Function        " Ma&ximize     Alt+F10 "       MaximizeIconified
        Raise           " R&aise        Alt+F1"
        Lower           " &Lower        Alt+F3"
        Nop             ""
        Close           " &Close"
        Delete          " &Quit"
EndPopup
 
Popup "VerifyQuit"
        Title   "Quit 4Dwm?"
        Quit    "OK"
EndPopup
 
Popup "VerifyRestart"
         "OK"    fvwm
EndPopup
 
PopUp "Modules"
        Module  "Audio"         Fvle  "Debug"         FvwmDebug
        Module  "Pager"         FvwmPager
        Module  "GoodStuff"     GoodStuff
        Module  "Backer"        FvwmBacker
        Module  "FileMgr"       FvwmFileMgr 0 0 "/"
        Module  "Save"          FvwmSave         
        Module  "Banner"        FvwmBanner
        Module  "IconBox"       FvwmIconBox
        Module  "Scroll"        FvwmScroll       
        Module  "Clean"         FvwmClean
        Module  "Ident"         FvwmIdent
        Module  "WinList"       FvwmWinList       
        Exec    "xwininfocon"   exec xwininfo &
EndPopup
 
PopUp "4DwmLongRootMenu"
        Title           "4Dwm"
        CirculateUp     "Shuffle Up"
        CirculateDown   "Shuffle Down"
        Nop             "Tidy Icons (?)"
        Nop             "Minimize All (?)"
        Nop             "Restore All (?)"
        Refresh         "Refresh All"
        Nop             ""
        PopUp           "Restart 4Dwm"  VerifyRestart
        PopUp           "Quit 4Dwm"     VerifyQuit
        Nop             ""
        PopUp           "Log Out"       Endsession
        Nop             ""
        Exec            "Lock Terminal" exec xlock -mode random &
        Nop             ""
        PopUp           "Modules"       Modules
        Nop             ""
        WindowList      "Window List"
EndPopUp
 
# Functions ------------------------------------------------------------
 
Function "Move-or-Raise"
        Move            "Motion"
        Raise           "Click"
EndFunction
 
Function "Resize-or-Raise"
        Resize          "Motion"
        Raise           "Click"
EndFunction
 
Function "Move-or-Iconify"
        Move            "Motion"
        Iconify         "Click"
EndFunction
 
Function "Die-on-DoubleClick"
# Immediate disables Click, Motion and Doubleclick, sorry
#       PopUp           "Immediate" 4DwmWindowMenu
        PopUp           "Motion" 4DwmWindowMenu
        PopUp           "Click" 4DwmWindowMenu
        Delete          "DoubleClick"
EndFunction
 
# Mouse Bindings -------------------------------------------------------
 
#       Button  Context Modifi  Function
Mouse   1       R       N       PopUp   "4DwmLongRootMenu"
 
Mouse   1       FS      N       Function "Resize-or-Raise"
Mouse   1       T       N       Function "Move-or-Raise"
 
Mouse   1       I       N       Function "Move-or-Iconify"      
 
Mouse   1       FSTI    C       Lower
Mouse   1       FSTI    S       Raise
 
Mouse   1       1       N       Function "Die-on-DoubleClick"
Mouse   1       2       N       Maximize
Mouse   1       4       N       Iconify
 
Mouse   2       FSTI124 N       Move
Mouse   2       FSTI124 C       Lower
Mouse   2       FSTI124 S       Raise
 
Mouse   3       R       N       PopUp   "4DwmLongRootMenu"
 
Mouse   3       FST124  N       PopUp   "4DwmWindowMenu"
Mouse   3       FST124  C       PopUp   "4DwmWindowMenu"
Mouse   3       FST124  S       PopUp   "4DwmWindowMenu"
Mouse   3       I       N       PopUp   "4DwmWindowMenuForIcon"
Mouse   3       I       C       PopUp   "4DwmWindowMenuForIcon"
Mouse   3       I       S       PopUp   "4DwmWindowMenuForIcon"
Mouse   3       W       M       PopUp   "4DwmWindowMenu"
Mouse   3       I       M       PopUp   "4DwmWindowMenuForIcon"
 
# Key Bindings ---------------------------------------------------------
 
Key     Escape  W       S       PopUp   "4DwmWindowMenu"
Key     Escape  I       S       PopUp   "4DwmWindowMenuForIcon"
Key     space   W       M       PopUp   "4DwmWindowMenu"
Key     space   I       M       PopUp   "4DwmWindowMenuForIcon"
#Key    Tab     RIW     M       f.next_key ???
#Key    Tab     RIW     MS      f.prev_key ???
Key     Escape  RIW     M       CirculateDown
Key     Escape  RIW     MS      CirculateUp
#Key    exclam  RIW     MSC     f.set_behavior ???
#Key    F6      W       M       f.next_key transient ???
#Key    F6      W       MS      f.prev_key transient ???
Key     F10     I       S       PopUp   "4DwmWindowMenuForIcon"
Key     Escape  R       S       PopUp   "4DwmLongRootMenu"
Key     space   R       M       PopUp   "4DwmLongRootMenu"
 
# Keyboard accelerators ------------------------------------------------
Key F1          WFST    M       Raise
Key F3          WFST    M       Lower
Key F5          WFST    M       Raise
Key F7          WFST    M       Move
Key F8          WFST    M       Resize
Key F9          WFST    M       Iconify
Key F10         WFST    M       Maximize
 
Key F1          I       M       Raise
Key F3          I       M       Lower
Key F5          I       M       Iconify
Key F7          I       M       Move
Key F10         I       M       Function "MaximizeIconified"    
 
# Keyboard shortcuts ---------------------------------------------------
 
# Arrow Keys
# press arrow + control anywhere, and scroll by 1 page
Key Left        A       C       Scroll -100 0
Key Right       A       C       Scroll +100 +0
Key Up          A       C       Scroll +0   -100
Key Down        A       C       Scroll +0   +100
 
# press arrow + meta key, and scroll by 1/10 of a page
Key Left        A       M       Scroll -10 +0
Key Right       A       M       Scroll +10 +0
Key Up          A       M       Scroll +0   -10
Key Down        A       M       Scroll +0   +10
 
# press shift arrow + control anywhere, and move the pointer by 1% of a page
Key Left        A       SC      CursorMove -1 0
Key Right       A       SC      CursorMove +1 +0
Key Up          A       SC      CursorMove +0   -1
Key Down        A       SC      CursorMove +0   +1
 
# press shift arrow + meta key, and move the pointer by 1/10 of a page
Key Left        A       SM      CursorMove -10 +0
Key Right       A       SM      CursorMove +10 +0
Key Up          A       SM      CursorMove +0   -10
Key Down        A       SM      CursorMove +0   +10
 
Key Tab         A       C       Scroll 100000 0
Key Tab         A       M       CirculateUp
Key Tab         A       S       CirculateDown   
